1. downloads
  2. business software
  3. news
  4. reviews
  5. top apps
Télécharger The Bat! 8.4

The Bat! 8.4

Par RITLABS  (Essai commercial)
Note des utilisateurs
Publicité

The Bat! mail client has a lot of vital benefits and useful features that make your email experience simple and convenient. All these features perfectly fit any Windows OS. Moreover, The Bat! is the first and only email client Certified for Windows Vista by Microsoft Corporation. “Certified for Vista” logo guarantees the highest level of compatibility between Vista and The Bat! mechanisms.

Protection of privacy

The Bat!’s characteristic feature is the most widespread support of authentication protocols and of encryption while working with mail servers.

Anti-virus defense

The other side of safety is protection against malicious codes. The Bat! benefits of its own HTML viewing mechanism – Robin HTML Viewer, as well as of its own image viewing module.

Titre: The Bat! 8.4
Nom de fichier: thebat_32_8-4.msi
Taille de fichier: 32.74MB (34,332,672 Octets)
Exigences: Windows 2000 / XP / Vista / Windows 7 / XP 64-bit / Vista 64-bit / Windows 7 64-bit / Windows 8 / Windows 8 64-bit / Windows 10 / Windows 10 64-bit
Langues: Langues Multiples
Licence: Essai commercial
Date ajoutée: juin 22, 2018
Auteur: RITLABS
www.ritlabs.com
Vérification MD5: 1803E64292D0E892906C8767150F3F00

New features:
You can now use styles in the HTML editor.
The Bat! now splits long IMAP commands (of about 7500 characters or more) into shorter ones. This is needed for IMAP servers (e.g. Zimbra) that don't accept longer commands, e.g. when you move thousands of messages from one folder to another and the messages are not in a sequence.
New command-line parameter "/TLS_VERSION_RANGE:0-3" to specify lowest and highest SSL/TLS version minor byte number that The Bat! should support. "0" means SSL 3.0, "1" means TLS 1.0, "2" means TLS 1.1 and "3" means "TLS 1.2". For example, to disable SSL 3.0, use "/TLS_VERSION_RANGE:1-3". Another example to only allow TLS 1.2 is "/TLS_VERSION_RANGE:3-3".
New command-line parameter "/TLS_DISABLE_PERFECT_FORWARD_SECRECY" to disable perfect forward secrecy.
New command-line parameter /LOG_IA32CPUID to write list of CPU capabilities to the ex_log.txt file.
New command-line parameter (must be specified as the first parameter in order to be accepted, other parameters may follow it): "/SHA1_BENCHMARK". For example, you can run /SHA1_BENCHMARK /NOLOGO /LOG_IA32CPUID.
New command-line parameter "/TEMP:" to specify a different temporary folder instead of one specified by %TEMP% environment variable.
Support for "Intel SHA extensions" instructions for SHA-1 on CPUs that support it for hardware acceleration of SHA-1. These instructions are introduced on Intel Goldmont microarchitecture processors, e.g. Pentium J4205, Celeron J3455, Atom C3958, etc. These instructions are currently supported for 64-bit version of The Bat! only.
Added the 'Insert Symbol' button to the editor toolbar
Added support for TLS Server Name Indication (SNI) Extension. It is useful when multiple servers are sharing the same IP address.
Added new path macros: %PROGRAMFILES% and %PROGRAMFILESX86%.
Toolbar has now drop-down history for the "Copy to folder" and "Move to folder" buttons.
Improvements:
Updated HTML editor component version.
The Bat! now tries to call the GetAddrInfoExW function instead of GetAddrInfoExA. Only if GetAddrInfoExW is not available, it falls back to GetAddrInfoExA.
The Bat! is now able to locate GPG4WIN 3.1.1.
Optimized CPU thread usage by creating and freeing threads less frequent because of using more threads with a reusable thread pool.
If CPU supports SHA extensions, The Bat! will use them for SHA-256 hash. You can call The Bat! with /SHA256_BENCHMARK command line parameter to figure out whether you CPU supports the extension and what is real gain from using the extensions.
Fixes:
The Bat! didn't notify plugins about a "MainWindowLoaded" event since version 8.
Fixed the "Select Image" icon in toolbar customization.
Some modifications on PGP internal signature verification.
Some fatal errors that prevented The Bat! from starting and were silent now are displayed to the user.
If external third-party plugins in The Bat! prevent it from starting successfully, The Bat! restarts, removes all the plugins from the list, and notifies the user about it, creating copies of plugin configuration files.
If a Windows API function to resolve host name fails with an Access Violation error or other exception, The Bat! no longer uses that API function.
Fixed splash screen labels' transparency.
Fixed some memory leaks.
Fixed some "Access Violation" errors which could occur while working with IMAP.
Fixed issue with showing some HTML entities (symbols).
Fixed editor toolbars.
Fixed a bug in determining system-defined folders.
Added Quick Templates combo on toolbar.
Access Violation on closing The Bat! while viewing a message in the internal HTML viewer.
Sub-filters didn't correctly handle the "is" operator.
Reintroduced: The Bat! v6.8.4 It's not possible to save the changes in the "Insert Hyperlink" window.
Reintroduced: Embedded images in messages bodies grow in size on each reply on high DPI monitors.
Quick Reply is unusable - Access Violations upon trying to copy, cut, backspace, delete and paste a Quick Template.
Added: the option "Clear formatting", "IncreaseFont", "DecreaseFont" to the HTML-editor.
Added: the option for forwarding types to the drop-down of the "Forward" icon on the main toolbar.
Fixed: clicking on the email of an account's information page creates a message from the default account.
Added buttons "Subscript" and "Superscript" to the HTML editor.
Added the button "Strikethrough" to the HTML editor.
The recipient's name got corrupted in the editor window.
Shift+Enter for Bullet Points was broken.
Wrong "Created" date if "Date:" line is missing in the message headers.
Open attachments with the Shift key pressed still displayed a warning.
Could not load HTML images under 32-bit (many images with the same URL).